%define oname kgamma5

Summary:	Plasma 5 monitor calibration module
Name:		plasma5-kgamma
Version:	5.12.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Patch0:		kgamma5-5.4.0-rename-translations.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xxf86vm)

%description
Plasma 5 monitor calibration module.

%files -f %{name}.lang
%dir %{_kde5_datadir}/kgamma/
%{_kde5_datadir}/kgamma/pics/*.png
%{_kde5_services}/kgamma.desktop
%{_qt5_plugindir}/kcm_kgamma.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1

for oldlang in po/*/kcmkgamma.po
do
    newlang=`echo $oldlang | sed s,\.po,5\.po,g`
    mv $oldlang $newlang
done

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang kcmkgamma5 kgamma5 kgamma %{name}.lang --with-kde --with-html


%changelog

* Thu May 10 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.5-1
- (330f699) New version 5.12.5


